/**
 * Интерфейс должен быть имплементирован в активность или во фрагмент, где нужна проверка
 * текстовых полей.
 */
interface Validator {

    /**
     * Этот медот должен содержать код предоставления валидаторов.
     */
    fun getValidators(): List<(String?) -> Boolean>

    /**
     * Этот медот должен содержать код предоставления ссылок на строковые ресурсы с текстами ошибок.
     */
    fun getErrorTextResources(): List<Int>
}
